import { useRef, useEffect } from 'react';

export default function usePrevious(value) {
    const ref = useRef();
    
    useEffect(() => {
        ref.current = value;
    });

    return ref.current;
}

/* Usage example

const useLocationChange = (action) => {
    const location = useLocation();
    const prevLocation = usePrevious(location);

    useEffect(() => { 
        action(location, prevLocation);
    }, [location]);
}

*/