import { useReducer } from 'react';
import { nextState } from '../util/StateHelper';

const initialState = {
  gamesList: null,

  newGame: {
    whitePlayer: '',
    blackPlayer: ''
  },

  // Network
  isPollingGamesList: false,
  isPushingNewGame: false,
};

function reducer(state, action) {
  switch (action.type) {

    case 'next':
      return nextState(state, action);

    default:
      throw Error('GamesReducer: unknown action.type', action.type);
  }
}

export default function useGamesReducer() {
  return useReducer(reducer, initialState);
}